xmonad-contrib-0.10: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | mail@justinbogner.com

XMonad.Prompt.RunOrRaise

Contents

- Usage

Description

A prompt for XMonad which will run a program, open a file, or raise an already running program, depending on context.

Synopsis

- runOrRaisePrompt :: XPConfig -> X ()
- data RunOrRaisePrompt

# Usage

1. In your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.RunOrRaise

1. In your keybindings add something like:

       , ((modm .|. controlMask, xK_x), runOrRaisePrompt defaultXPConfig)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

runOrRaisePrompt :: XPConfig -> X ()

data RunOrRaisePrompt

Instances

XPrompt RunOrRaisePrompt |